octmode {base} | R Documentation

## Display Numbers in Octal

### Description

Convert or print integers in octal format, with as many digits as are needed to display the largest, using leading zeroes as necessary.

### Usage

    as.character.octmode(x, ...)
    format.octmode(x, ...)
    print.octmode(x, ...)

### Arguments

`x` | An object inheriting from class `"octmode"`.

### Details

Class `"octmode"` consists of integer vectors with that class atttribute, used merely to ensure that they are printed in octal notation, specifically for Unix-like file permissions such as `755`.

### See Also

These are auxiliary functions for `file.info`